import { ActivatedRouteSnapshot, RouterStateSnapshot, UrlTree } from '@angular/router';
import { AppPermissions } from '../permissions/permissions.handler';
import { InjectionToken } from '@angular/core';
export declare class AuthConfig {
    applicationId: string;
    http?: {
        scheme?: string;
        header?: string;
    };
    redirects?: {
        authenticated?: string | string[];
        unauthenticated?: string | string[];
        permissionDenied?: string | string[];
    };
    setRedirectOnFailedAuth?: boolean;
    bootstrap?: boolean;
    providers?: string[];
    autoRefresh?: boolean;
    permissions?: AppPermissions<any, any>;
}
export declare const AUTH_REDIRECT_HANDLER: InjectionToken<AuthRedirectHandler>;
export interface AuthRedirectHandler {
    onFailedAuthenticated(snapshot?: ActivatedRouteSnapshot, state?: RouterStateSnapshot): boolean | UrlTree;
    onFailedAnonymous(snapshot?: ActivatedRouteSnapshot, state?: RouterStateSnapshot): boolean | UrlTree;
    onPermissionDenied(snapshot?: ActivatedRouteSnapshot, state?: RouterStateSnapshot): boolean | UrlTree;
}
